- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# icmp_dur_hdr Struct Reference

`#include <icmp.h>`

## Public Member Functions
| PACK_STRUCT_FIELD (uInt32 unused)
| PACK_STRUCT_FIELD (uInt16 chksum)
| PACK_STRUCT_FIELD (uInt16 _type_code)
## Data Fields
u16_t | chksum
u8_t | icode
u8_t | type
u32_t | unused

## Detailed Description

Definition at line 85 of file icmp.h.

## Member Function Documentation

icmp_dur_hdr::PACK_STRUCT_FIELD | ( | uInt32 | unused | ) |

icmp_dur_hdr::PACK_STRUCT_FIELD | ( | uInt16 | chksum | ) |

icmp_dur_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _type_code | ) |

## Field Documentation

u16_t icmp_dur_hdr::chksum

Definition at line 81 of file icmp.h.

u8_t icmp_dur_hdr::icode

Definition at line 80 of file icmp.h.

u8_t icmp_dur_hdr::type

Definition at line 79 of file icmp.h.

u32_t icmp_dur_hdr::unused

Definition at line 82 of file icmp.h.

The documentation for this struct was generated from the following files:

- src/sys/include/net/ipv4/icmp.h
- src/sys/include/net/ipv6/icmp.h